Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class DirectoryService

    java.lang.Object
      oracle.ifs.server.DirectoryService

All Implemented Interfaces:
  LibraryConstants, SubService

Direct Known Subclasses:
  TieDirectoryService

    public class DirectoryService

extends java.lang.Object
implements SubService, LibraryConstants

DirectoryService provides the server interface to the directory subsystem.

A DirectoryService is constructed by S_LibraryService. Its primary purpose is to manage a set of CredentialManagers defined in the service properties file. Each CredentialManager is identified by a name. The set of names should contain no duplicates. The DirectoryService constructor will detect duplicates and throw an exception, halting the S_LibraryService.

(Unpublished)

Field Summary
`protected java.util.Hashtable` | `m_CredentialManagers` The CredentialManagers, hashed by name.
`protected CredentialNameTokenizer` | `m_CredentialNameTokenizer` The CredentialManagerTokenizer for this DirectoryService.
`protected S_LibraryService` | `m_Service` The S_LibraryService to which this DirectoryService belongs.

Fields inherited from interface oracle.ifs.beans.resources.LibraryConstants
`AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT, AUDIT_EVENT_COLUMN_APPLICATIONUSER, AUDIT_EVENT_COLUMN_AUXILIARYNUMBER, AUDIT_EVENT_COLUMN_AUXILIARYSTRING, AUDIT_EVENT_COLUMN_CREATEDATE, AUDIT_EVENT_COLUMN_CREATORID, AUDIT_EVENT_COLUMN_DOMAINID, AUDIT_EVENT_COLUMN_ID, AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED, AUDIT_EVENT_COLUMN_OPERATIONTYPE, AUDIT_EVENT_COLUMN_TARGETOBJECTID, AUDIT_SPECIFICATION_CUSTOM, AUDIT_SPECIFICATION_GLOBAL, AUDIT_SPECIFICATION_OBJECT, AUDIT_SUCCESS_MODE_FAILURE_ONLY, AUDIT_SUCCESS_MODE_NONE, AUDIT_SUCCESS_MODE_SUCCESS_ONLY, AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE, CAPABILITY_ADDITEM, CAPABILITY_ADDVERSION, CAPABILITY_ADMINISTER_CATEGORY, CAPABILITY_ADMINISTER_CONFIGURATION, CAPABILITY_ADMINISTER_CONTAINER, CAPABILITY_ADMINISTER_DOMAIN, CAPABILITY_ADMINISTER_LOCK, CAPABILITY_ADMINISTER_QUOTA, CAPABILITY_ADMINISTER_RECORD, CAPABILITY_ADMINISTER_ROLE, CAPABILITY_ADMINISTER_SECURITY, CAPABILITY_ADMINISTER_USER, CAPABILITY_ADMINISTER_WORKSPACE, CAPABILITY_COPY, CAPABILITY_CREATECONTAINER, CAPABILITY_CREATEFOLDER, CAPABILITY_CREATEWORKSPACE, CAPABILITY_DELETE, CAPABILITY_DISCOVER, CAPABILITY_GET_CONTENT, CAPABILITY_GETAUDITHISTORY, CAPABILITY_GETMETADATA, CAPABILITY_GETRELATION, CAPABILITY_LOCK, CAPABILITY_MOVE, CAPABILITY_SET_ATTR, CAPABILITY_SET_CONTENT, CAPABILITY_SETMETADATA, CAPABILITY_SETRELATION, EXCEPTION_INFO_AGGREGATE_ENTRIES, EXCEPTION_INFO_CONFLICTING_OBJECT_ID, EXCEPTION_INFO_DESCRIPTION_MAP, EXCEPTION_INFO_LIMIT, EXCEPTION_INFO_OBJECT_ID, EXCEPTION_INFO_PARAMETER_NAME, IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED, IFS_DOMAIN_ACLINDEX_EVENTTARGET, IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME, IFS_DOMAIN_AUDIT_AUDITINGENABLED, IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD, IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST, IFS_DOMAIN_AUDITRULEEVALUATORCLASS, IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME, IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM, IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM, IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED, IFS_DOMAIN_DEFAULT_TIMEZONE_STRING, IFS_DOMAIN_DEFINITIONCLONINGREQUIRED, IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD, IFS_DOMAIN_FDKCONFIGURATIONCLASS, IFS_DOMAIN_FOLDERINDEX_EVENTTARGET, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK, IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES, IFS_DOMAIN_LOCKOBJECT_ENABLED, IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES, IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES, IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES, IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION, IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS, IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST, IFS_DOMAIN_PROPERTYBUNDLE_NAME, IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED, IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD, IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS, IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD, IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE, IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED, IFS_DOMAIN_SHAREDSTATEFACTORY, IFS_DOMAIN_UPGRADEINPROGRESS, IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED, IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL, IFS_DOMAIN_WORKFLOW_ENABLED, IFS_DOMAIN_WORKFLOW_SCHEMANAME, IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS, IFS_HANDLER_PROPERTY_BASETIMEOFDAY, IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT, IFS_HANDLER_PROPERTY_TIMERPERIOD, IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES, IFS_NODE_DISABLEDINHERITEDSERVERNAMES, IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES, IFS_NODE_ENABLEDINHERITEDSERVERNAMES, IFS_ORACLELOCKTYPE_KEY_CHECKOUT, IFS_ORACLELOCKTYPE_KEY_DAV, IFS_ORACLELOCKTYPE_KEY_FINALIZED, IFS_ORACLELOCKTYPE_KEY_FREEZE, IFS_ORACLELOCKTYPE_KEY_HASRECORD, IFS_ORACLELOCKTYPE_KEY_LIFECYCLE, IFS_ORACLELOCKTYPE_KEY_MANUAL, IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE, IFS_ORACLELOCKTYPE_KEY_RECORD, IFS_ORACLELOCKTYPE_KEY_RETENTION, IFS_ORACLELOCKTYPE_KEY_WORKFLOW, IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER, IFS_SERVICE_ACLCACHE_NORMALTRIGGER, IFS_SERVICE_ACLCACHE_PURGETARGET, IFS_SERVICE_ACLCACHE_SIZE, IFS_SERVICE_ACLCACHE_URGENTTRIGGER, IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET, IFS_SERVICE_AUDITINGENABLED, IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET, IFS_SERVICE_AURORASERVICE, IFS_SERVICE_CASESENSITIVEAUTHENTICATION, IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT, IFS_SERVICE_CONTENTBUFFERSIZE, IFS_SERVICE_CREDENTIALMANAGER, IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER, IFS_SERVICE_CREDENTIALMANAGER_NAMES, IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_DATACACHE_NORMALTRIGGER, IFS_SERVICE_DATACACHE_PURGETARGET, IFS_SERVICE_DATACACHE_SIZE, IFS_SERVICE_DATACACHE_URGENTTRIGGER, IFS_SERVICE_DEFAULTCHARACTERSET, IFS_SERVICE_DEFAULTLANGUAGE, IFS_SERVICE_EVENTEXCHANGER, IFS_SERVICE_EVENTSTATEMENTRESETLIMIT, IFS_SERVICE_JDBC_DEFAULTROWPREFETCH, IFS_SERVICE_JDBC_DRIVER, IFS_SERVICE_JDBC_DRIVERTYPE, IFS_SERVICE_JDBC_TRACINGENABLED, IFS_SERVICE_LOCKTIMEOUTPERIOD, IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS, IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION, IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD, IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD, IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES, IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD, IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE, IFS_SERVICE_SESSION_BEANSSESSION, IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_DATACACHE_PURGETARGET, IFS_SERVICE_SESSION_DATACACHE_SIZE, IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD, IFS_SERVICE_SESSION_EVENTPOLLER, IFS_SERVICE_SESSION_EVENTPOLLERPERIOD, IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET, IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE, IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVERSESSION, IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE, IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD, IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE, IFS_SERVICE_TRACING_CHANNELCOUNT, IFS_SERVICE_TRACING_CHANNELLEVEL, IFS_SERVICE_TRACING_DEFAULTTRACELEVEL, IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE, IFS_SERVICE_TRACING_SERVICETRACETYPE, IFS_SERVICE_TRANSPORTBATCHSIZE, IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD, IFS_SESSIONSTATE_APPLICATION_SESSIONID, IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT, IFS_SESSIONSTATE_OPERATIONS_COPYTABLE, IFS_SESSIONSTATE_OPERATIONS_FREETABLE, IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE, LOCKTYPE_CHECKOUT, LOCKTYPE_CUSTOM, LOCKTYPE_DAV, LOCKTYPE_FAMILYHASRECORD, LOCKTYPE_FINALIZED, LOCKTYPE_FREEZE, LOCKTYPE_HAS_RECORD, LOCKTYPE_LIFECYCLE, LOCKTYPE_MANUAL, LOCKTYPE_NAMEDFREEZE, LOCKTYPE_RECORD, LOCKTYPE_RETENTION, LOCKTYPE_WORKFLOW, PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT, PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW, SYSTEMLOCK_NAME_FINALIZED, SYSTEMLOCK_NAME_FREEZE, SYSTEMLOCK_NAME_HAS_RECORD, SYSTEMLOCK_NAME_LIFECYCLE, SYSTEMLOCK_NAME_RECORD, SYSTEMLOCK_NAME_RETENTION`

Constructor Summary
`DirectoryService(S_LibraryService service)` Constructs a DirectoryService.

Method Summary
`void` | `authenticate(java.lang.String credentialManagerName, java.lang.String distinguishedName, Credential credential, ConnectOptions options)` Authenticates a user using the specified CredentialManager.
`java.lang.String` | `createUser(java.lang.String credentialManagerName, java.lang.String name, java.lang.String password, AttributeValue[] options)` Creates a new user in the specified CredentialManager.
`void` | `deleteUser(java.lang.String credentialManagerName, java.lang.String distinguishedName, AttributeValue[] options)` Deletes the specified user from the specified CredentialManager.
`void` | `dispose()` Disposes this DirectoryService.
`boolean` | `exists(java.lang.String credentialManagerName, java.lang.String distinguishedName)` Determines whether the specified CredentialManager can authenticate the specified user.
`protected CredentialManager` | `getCredentialManager(java.lang.String name)` Gets the specified CredentialManager.
`java.lang.String[]` | `getCredentialManagerNames()` Gets the names of all CredentialManagers.
`CredentialNameTokenizer` | `getCredentialNameTokenizer()` Gets the CredentialNameTokenizer for this DirectoryService.
`AttributeValue` | `getProperty(java.lang.String credentialManagerName, java.lang.String name)` Gets the value of the specified dynamic property for the specified CredentialManager.
`boolean` | `isCredentialManagerName(java.lang.String name)` Determines whether the specified name is a valid name of a CredentialManager.
`java.util.Vector` | `listUsers(java.lang.String credentialManagerName, AttributeValue[] options)` Gets the distinguished names of all users managed by the specified CredentialManager.
`void` | `setPassword(java.lang.String credentialManagerName, java.lang.String distinguishedName, java.lang.String password, AttributeValue[] options)` Sets the password of the specified user in the specified CredentialManager.
`boolean` | `supportsCreateUser(java.lang.String credentialManagerName)` Determines whether the specified CredentialManager supports the `createUser` method.
`boolean` | `supportsDeleteUser(java.lang.String credentialManagerName)` Determines whether the specified CredentialManager supports the `deleteUser` method.
`boolean` | `supportsListUsers(java.lang.String credentialManagerName)` Determines whether the specified CredentialManager supports the `listUsers` method.
`boolean` | `supportsSetPassword(java.lang.String credentialManagerName)` Determines whether the specified CredentialManager supports the `setPassword` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Service

    protected S_LibraryService m_Service

  Description copied from class: `DirectoryService`
  The S_LibraryService to which this DirectoryService belongs.

  (Unpublished)

### m_CredentialNameTokenizer

    protected CredentialNameTokenizer m_CredentialNameTokenizer

  Description copied from class: `DirectoryService`
  The CredentialManagerTokenizer for this DirectoryService.

  (Unpublished)

### m_CredentialManagers

    protected java.util.Hashtable m_CredentialManagers

  Description copied from class: `DirectoryService`
  The CredentialManagers, hashed by name.

  (Unpublished)

Constructor Detail

### DirectoryService

    public DirectoryService(S_LibraryService service)
                     throws IfsException

  Constructs a DirectoryService.

  Parameters:
    `service` - the S_LibraryService that owns this DirectoryService
  Throws:
    `IfsException` - (IFS-10110) if the operation fails
  (Unpublished)

Method Detail

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `DirectoryService`
  Disposes this DirectoryService.

  Specified by:
    `dispose` in interface `SubService`
  Throws:
    `IfsException` - (IFS-10111) if the operation fails
  (Unpublished)

### getCredentialNameTokenizer

    public CredentialNameTokenizer getCredentialNameTokenizer()
                                                       throws IfsException

  Description copied from class: `DirectoryService`
  Gets the CredentialNameTokenizer for this DirectoryService.

  Returns:
    the CredentialNameTokenizer
  Throws:
    `IfsException` - (IFS-12790) if the operation fails
  (Unpublished)

### getCredentialManagerNames

    public java.lang.String[] getCredentialManagerNames()
                                                 throws IfsException

  Description copied from class: `DirectoryService`
  Gets the names of all CredentialManagers.

  Returns:
    the names; there is one instantiated CredentialManager for each element
  Throws:
    `IfsException` - (IFS-10112) if the operation fails
  (Unpublished)

### isCredentialManagerName

    public boolean isCredentialManagerName(java.lang.String name)
                                    throws IfsException

  Description copied from class: `DirectoryService`
  Determines whether the specified name is a valid name of a CredentialManager.

  Parameters:
    `name` - the name
  Returns:
    whether `name`is a valid name of a CredentialManager
  Throws:
    `IfsException` - (IFS-10117) if the operation fails
  (Unpublished)

### getCredentialManager

    protected CredentialManager getCredentialManager(java.lang.String name)
                                              throws IfsException

  Description copied from class: `DirectoryService`
  Gets the specified CredentialManager.

  Parameters:
    `name` - the name of the CredentialManager
  Returns:
    the CredentialManager
  Throws:
    `IfsException` - (IFS-10113) if the operation fails
  (Unpublished)

### authenticate

    public void authenticate(java.lang.String credentialManagerName,
                             java.lang.String distinguishedName,
                             Credential credential,
                             ConnectOptions options)
                      throws IfsException

  Description copied from class: `DirectoryService`
  Authenticates a user using the specified CredentialManager.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - the distinguished name of the user
    `credential` - the credential
    `options` - the ConnectOptions supplied by the user
  Throws:
    `IfsException` - (IFS-10170) if the credential is invalid or IfsException (IFS-10151) if the operation otherwise fails
  (Unpublished)

### exists

    public boolean exists(java.lang.String credentialManagerName,
                          java.lang.String distinguishedName)
                   throws IfsException

  Description copied from class: `DirectoryService`
  Determines whether the specified CredentialManager can authenticate the specified user.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - the distinguished name of the user
  Returns:
    whether the CredentialManager manages the user
  Throws:
    `IfsException` - (IFS-10152) if the operation fails
  (Unpublished)

### supportsCreateUser

    public boolean supportsCreateUser(java.lang.String credentialManagerName)
                               throws IfsException

  Description copied from class: `DirectoryService`
  Determines whether the specified CredentialManager supports the `createUser` method.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
  Returns:
    whether `createUser` is supported
  Throws:
    `IfsException` - (IFS-10153) if the operation fails
  (Unpublished)

### createUser

    public java.lang.String createUser(java.lang.String credentialManagerName,
                                       java.lang.String name,
                                       java.lang.String password,
                                       AttributeValue[] options)
                                throws IfsException

  Description copied from class: `DirectoryService`
  Creates a new user in the specified CredentialManager.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `name` - the name of the user; some CredentialManagers may convert this name into a distinguished name if required; other CredentialManagers may require this to be a distinguished name to begin with
    `password` - the password of the user
    `options` - CredentialManager-specific options; a null value requests default behavior
  Returns:
    the distinguished name of the created user
  Throws:
    `IfsException` - (IFS-10154) if the operation fails
  (Unpublished)

### supportsDeleteUser

    public boolean supportsDeleteUser(java.lang.String credentialManagerName)
                               throws IfsException

  Description copied from class: `DirectoryService`
  Determines whether the specified CredentialManager supports the `deleteUser` method.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
  Returns:
    whether `deleteUser` is supported
  Throws:
    `IfsException` - (IFS-10155) if the operation fails
  (Unpublished)

### deleteUser

    public void deleteUser(java.lang.String credentialManagerName,
                           java.lang.String distinguishedName,
                           AttributeValue[] options)
                    throws IfsException

  Description copied from class: `DirectoryService`
  Deletes the specified user from the specified CredentialManager.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - the distinguished name of the user
    `options` - CredentialManager-specific options; a null value requests default behavior
  Throws:
    `IfsException` - (IFS-10156) if the operation fails
  (Unpublished)

### supportsSetPassword

    public boolean supportsSetPassword(java.lang.String credentialManagerName)
                                throws IfsException

  Description copied from class: `DirectoryService`
  Determines whether the specified CredentialManager supports the `setPassword` method.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
  Returns:
    whether `setPassword` is supported
  Throws:
    `IfsException` - (IFS-10157) if the operation fails
  (Unpublished)

### setPassword

    public void setPassword(java.lang.String credentialManagerName,
                            java.lang.String distinguishedName,
                            java.lang.String password,
                            AttributeValue[] options)
                     throws IfsException

  Description copied from class: `DirectoryService`
  Sets the password of the specified user in the specified CredentialManager.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - the distinguished name of the user
    `password` - the new password
    `options` - CredentialManager-specific options; a null value requests default behavior
  Throws:
    `IfsException` - (IFS-10158) if the operation fails
  (Unpublished)

### supportsListUsers

    public boolean supportsListUsers(java.lang.String credentialManagerName)
                              throws IfsException

  Description copied from class: `DirectoryService`
  Determines whether the specified CredentialManager supports the `listUsers` method.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
  Returns:
    whether `listUsers` is supported
  Throws:
    `IfsException` - (IFS-10159) if the operation fails
  (Unpublished)

### listUsers

    public java.util.Vector listUsers(java.lang.String credentialManagerName,
                                      AttributeValue[] options)
                               throws IfsException

  Description copied from class: `DirectoryService`
  Gets the distinguished names of all users managed by the specified CredentialManager.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `options` - CredentialManager-specific options; a null value requests default behavior
  Returns:
    a Vector of string distinguished names
  Throws:
    `IfsException` - (IFS-10160) if the operation fails
  (Unpublished)

### getProperty

    public AttributeValue getProperty(java.lang.String credentialManagerName,
                                      java.lang.String name)
                               throws IfsException

  Description copied from class: `DirectoryService`
  Gets the value of the specified dynamic property for the specified CredentialManager.

  Parameters:
    `credentialManagerName` - the name of the CredentialManager
    `name` - the property name
  Returns:
    the property value, or null if there is no such property
  Throws:
    `IfsException` - (IFS-10163) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD